## tclcurl 0.9.5

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in --
#
#	This file is a Makefile for Sample TEA Extension.  If it has the name
#	"Makefile.in" then it is a template for a Makefile;  to generate the
#	actual Makefile, run "./configure", which is a configuration script
#	generated by the "autoconf" program (constructs like "@foo@" will get
#	replaced in the actual Makefile.
#
# Copyright (c) 1999 Scriptics Corporation.
# Copyright (c) 2002 ActiveState SRL.
#
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# RCS: @(#) $Id: Makefile.in,v 1.33 2002/03/13 02:11:40 hobbs Exp $

#========================================================================
# Edit the following few lines when writing a new extension
#========================================================================

#========================================================================
# Enumerate the names of the source files included in this package.
# This will be used when a dist target is added to the Makefile.
# EXTRA_SOURCES will be replaced by WIN_SOURCES or UNIX_SOURCES, as is
# appropriate for your platform.  It is not important to specify the
# directory, as long as it is the $(srcdir) or in the generic, win or
# unix subdirectory.
#========================================================================

tclcurl_SOURCES	= tclcurl.c $(UNIX_SOURCES)

WIN_SOURCES  = 
UNIX_SOURCES = 

#========================================================================
# Identify the object files.  This replaces .c with .$(OBJEXT) for all
# the named source files.   These objects are created and linked into the
# final library.  In these do not correspond directly to the source files
# above, you will need to enumerate the object files here.
# Normally we would use $(OBJEXT), but certain make executables won't do
# the extra macro in a macro conversion properly.
#
# "sample_LIB_FILE" refers to the library (dynamic or static as per
# configuration options) composed of the named objects.
#========================================================================

tclcurl_OBJECTS  = $(tclcurl_SOURCES:.c=.o)
tclcurl_LIB_FILE = libtclcurl0.95${DBGX}.so

#========================================================================
# This is a list of header files to be installed
#========================================================================

GENERIC_HDRS	= $(srcdir)/tclcurl.h

#========================================================================
# Add additional lines to handle any additional AC_SUBST cases that
# have been added to the configure script.
#========================================================================

#SAMPLE_NEW_VAR	= @SAMPLE_NEW_VAR@

#========================================================================
# Nothing of the variables below this line need to be changed.  Please
# check the TARGETS section below to make sure the make targets are
# correct.
#========================================================================

#========================================================================
# The variable "$(PACKAGE)_LIB_FILE" is the parameterized name of the
# library that we are building.
#========================================================================

lib_BINARIES	= $($(PACKAGE)_LIB_FILE)
BINARIES	= $(lib_BINARIES)
TCL_SCRIPTS = tclcurl.tcl

SHELL		= /bin/sh

srcdir		= .
prefix		= /usr
exec_prefix	= /usr

bindir		= ${exec_prefix}/bin
libdir		= ${exec_prefix}/lib
datadir		= ${prefix}/share
mandir		= /usr/share/man/mann
includedir	= ${prefix}/include

DESTDIR		=

PKG_DIR		= $(PACKAGE)$(VERSION)
pkgdatadir	= $(datadir)/$(PKG_DIR)
pkglibdir	= $(libdir)/$(PKG_DIR)
pkgincludedir	= $(includedir)/$(PKG_DIR)

top_builddir	= .

INSTALL		= /usr/bin/install -c
INSTALL_PROGRAM	= ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644
INSTALL_SCRIPT	= ${INSTALL_PROGRAM}

PACKAGE		= tclcurl
VERSION		= 0.95
CC		= gcc -pipe
CFLAGS_DEBUG	= -g
CFLAGS_DEFAULT	= $(CFLAGS_OPTIMIZE)
CFLAGS_OPTIMIZE	= -O -D__NO_STRING_INLINES -D__NO_MATH_INLINES
CLEANFILES	= 
EXEEXT		= 
LDFLAGS_DEBUG	= 
LDFLAGS_DEFAULT	= $(LDFLAGS_OPTIMIZE)
LDFLAGS_OPTIMIZE = 
MAKE_LIB	= ${SHLIB_LD} -o $@ $($(PACKAGE)_OBJECTS) ${SHLIB_LDFLAGS} ${SHLIB_LD_LIBS} $(TCL_LIBS) 
MAKE_SHARED_LIB	= ${SHLIB_LD} -o $@ $($(PACKAGE)_OBJECTS) ${SHLIB_LDFLAGS} ${SHLIB_LD_LIBS}
MAKE_STATIC_LIB	= ${STLIB_LD} $@ $($(PACKAGE)_OBJECTS)
OBJEXT		= o
RANLIB		= :
SHLIB_CFLAGS	= -fPIC
SHLIB_LD	= gcc -pipe -shared
SHLIB_LDFLAGS	= 
SHLIB_LD_LIBS	=   -lcurl  -lssl -lcrypto -ldl -L/usr/lib -ltclstub
STLIB_LD	= ${AR} cr
TCL_BIN_DIR	= /usr/lib
TCL_DEFS	=  -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRSTR=1 -DHAVE_STRTOL=1 -DHAVE_TMPNAM=1 -DHAVE_WAITPID=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_TM_ZONE=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_ST_BLKSIZE=1 -DSTDC_HEADERS=1 -DNEED_MATHERR=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_SYS_IOCTL_H=1 
TCL_EXTRA_CFLAGS = 
TCLCURL_CFLAGS =  -I/usr/include
TCL_LD_FLAGS	= -rdynamic
TCL_LIBS	= -ldl  -lieee -lm
TCL_SHLIB_LD_LIBS = ${LIBS}
TCL_SRC_DIR	= /usr/src/build/77334-i386/BUILD/tcltk-8.3.3/tcl8.3.3
TCL_DBGX	= 
TCL_STUB_LIB_FILE = libtclstub.a
TCL_STUB_LIB_SPEC = -L/usr/lib -ltclstub
TCLSH_PROG	= TCL_LIBRARY=`echo $(TCL_SRC_DIR)/library` /usr/bin/tclsh
SHARED_BUILD	= 1

INCLUDES	= -I"/usr/include"

EXTRA_CFLAGS	= $(TCL_DEFS) $(PROTO_FLAGS) $(SECURITY_FLAGS) $(MEM_DEBUG_FLAGS) $(KEYSYM_FLAGS) $(NO_DEPRECATED_FLAGS) $(TCL_EXTRA_CFLAGS) ${TCLCURL_CFLAGS}

DEFS		=  -DVERSION=\"0.95\" -DUSE_TCL_STUBS=1  $(EXTRA_CFLAGS)

ACLOCAL_M4	= $(srcdir)/aclocal.m4
CONFIGDIR	= ./tclconfig
CONFIG_CLEAN_FILES = mkIndex.tcl

CPPFLAGS	= 
LIBS		= 
AR		= ar
CFLAGS	= ${CFLAGS_DEFAULT} ${CFLAGS_WARNING} ${SHLIB_CFLAGS}
COMPILE	= $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)

#========================================================================
# Start of user-definable TARGETS section
#========================================================================

#========================================================================
# TEA TARGETS.  Please note that the "libraries:" target refers to platform
# independent files, and the "binaries:" target inclues executable programs and
# platform-dependent libraries.  Modify these targets so that they install
# the various pieces of your package.  The make and install rules
# for the BINARIES that you specified above have already been done.
#========================================================================

all: binaries libraries doc

#========================================================================
# The binaries target builds executable programs, Windows .dll's, unix
# shared/static libraries, and any other platform-dependent files.
# The list of targets to build for "binaries:" is specified at the top
# of the Makefile, in the "BINARIES" variable.
#========================================================================

binaries: $(BINARIES)

libraries:

scripts: $(TCL_SCRIPTS)

doc:
#	@echo "If you have documentation to create, place the commands to"
#	@echo "build the docs in the 'doc:' target.  For example:"
#	@echo "        xml2nroff sample.xml > sample.n"
#	@echo "        xml2html sample.xml > sample.html"

install: all installdirs install-scripts install-binaries install-libraries install-doc

install-binaries: binaries install-lib-binaries install-bin-binaries
	$(TCLSH_PROG) mkIndex.tcl $($(PACKAGE)_LIB_FILE)
	if test "x$(SHARED_BUILD)" = "x1"; then \
	    $(TCLSH_PROG) mkIndex.tcl $($(PACKAGE)_LIB_FILE); \
	fi

#========================================================================
# This rule installs platform-independent files, such as header files.
#========================================================================

install-libraries: libraries
#	mkdir -p $(includedir)
#	@echo "Installing header files in $(includedir)"
#	@for i in $(GENERIC_HDRS) ; do \
#	    echo "Installing $$i" ; \
#	    $(INSTALL_DATA) $$i $(includedir) ; \
#	done;

#========================================================================
# This rule installs the scripts that are part of TclCurl.
#========================================================================

install-scripts: scripts
		@for i in $(TCL_SCRIPTS) ; do                \
		echo "Installing $$i" ;                      \
		$(INSTALL_DATA) $$i $(DESTDIR)$(pkglibdir) ; \
	done;

#========================================================================
# Install documentation.  Unix manpages should go in the $(mandir)
# directory.
#========================================================================

install-doc: doc
	mkdir -p $(mandir)/mann
	@echo "Installing documentation in $(mandir)"
	@for i in $(srcdir)/docs/*.n; \
	    do \
	    echo "Installing $$i"; \
	    rm -f $(mandir)/mann/$$i.gz; \
        gzip $$i; \
	    $(INSTALL_DATA) $$i.gz $(DESTDIR)$(mandir)/mann ; \
        gunzip $$i.gz; \
	    done

test: binaries libraries
	( echo pkg_mkIndex . $($(PACKAGE)_LIB_FILE) \; exit; ) | $(TCLSH_PROG)
	LD_LIBRARY_PATH="$(BUILD_DIR):$(TCL_BIN_DIR):$(LD_LIBRARY_PATH)" \
	LIBPATH="$(BUILD_DIR):$(TCL_BIN_DIR):${LIBPATH}" \
	SHLIB_PATH="$(BUILD_DIR):$(TCL_BIN_DIR):${SHLIB_PATH}" \
	TCLLIBPATH=. \
	PATH="$(BUILD_DIR):$(TCL_BIN_DIR):$(PATH)" \
	$(TCLSH_PROG) `echo $(srcdir)/tests/all.tcl` $(TESTFLAGS)

depend:

#========================================================================
# $($(PACKAGE)_LIB_FILE) should be listed as part of the BINARIES variable
# mentioned above.  That will ensure that this target is built when you
# run "make binaries".
#
# The $($(PACKAGE)_OBJECTS) objects are created and linked into the final
# library.  In most cases these object files will correspond to the
# source files above.
#========================================================================

$($(PACKAGE)_LIB_FILE): $($(PACKAGE)_OBJECTS)
	-rm -f $($(PACKAGE)_LIB_FILE)
	${MAKE_LIB}
	$(RANLIB) $($(PACKAGE)_LIB_FILE)

#========================================================================
# We need to enumerate the list of .c to .o lines here.
# Unfortunately, there does not seem to be any other way to do this
# in a Makefile-independent way.  We can't use VPATH because it picks up
# object files that may be located in the source directory.
#
# In the following lines, $(srcdir) refers to the toplevel directory
# containing your extension.  If your sources are in a subdirectory,
# you will have to modify the paths to reflect this:
#
# sample.$(OBJEXT): $(srcdir)/generic/sample.c
# 	$(COMPILE) -c `echo $(srcdir)/generic/sample.c` -o $@
#
# Setting the VPATH variable to a list of paths will cause the 
# makefile to look into these paths when resolving .c to .obj
# dependencies.
#========================================================================

VPATH = $(srcdir):$(srcdir)/generic:$(srcdir)/unix:$(srcdir)/win

.c.$(OBJEXT):
	$(COMPILE) -c `echo $<` -o $@

#========================================================================
# Distribution creation
# You may need to tweak this target to make it work correctly.
#========================================================================

#COMPRESS	= tar cvf $(PKG_DIR).tar $(PKG_DIR); compress $(PKG_DIR).tar
COMPRESS	= gtar zcvf $(PKG_DIR).tar.gz $(PKG_DIR)
DIST_ROOT	= /tmp/dist
DIST_DIR	= $(DIST_ROOT)/$(PKG_DIR)

dist-clean:
	rm -rf $(DIST_DIR) $(DIST_ROOT)/$(PKG_DIR).tar.*

dist: dist-clean
	mkdir -p $(DIST_DIR)
	cp -p $(srcdir)/ChangeLog $(srcdir)/README* $(srcdir)/license* \
		$(srcdir)/aclocal.m4 $(srcdir)/configure $(srcdir)/*.in \
		$(DIST_DIR)/
	chmod 664 $(DIST_DIR)/Makefile.in $(DIST_DIR)/aclocal.m4
	chmod 775 $(DIST_DIR)/configure $(DIST_DIR)/configure.in

	cp -p $(srcdir)/*.[ch] $(DIST_DIR)/

	mkdir $(DIST_DIR)/tclconfig
	cp $(srcdir)/tclconfig/install-sh $(srcdir)/tclconfig/tcl.m4 \
		$(DIST_DIR)/tclconfig/

## tclcurl 7.22.0+hg20160822

=== debian/changelog ===
tclcurl (7.22.0+hg20160822-3) unstable; urgency=medium

  * Orphan package.
  * Update debhelper-compat level to 13.
  * Bump Standards-Version to 4.5.1 - no changes.
  * Set Rules-Requires-Root: no in debian/control.
  * Update source/format to 3.0 (quilt).
  * Remove additional linker flags in debian/rules, default with
    bullseye.

 -- Sven Hoexter <hoexter@debian.org>  Tue, 17 Aug 2021 20:40:01 +0200

tclcurl (7.22.0+hg20160822-2) unstable; urgency=medium

  * Remove Hompage from d/control - does no longer exist.
  * Adjust Vcs-* to point to https endpoints.
  * Bump Standards-Version to 4.2.1.
  * Change package priority from extra to optional.
  * Change debhelper compat level to 11 and move the
    declaration to Build-Depends.
  * Update d/copyright to note that the repository this
    package was based on is now offline.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 01 Nov 2018 09:54:01 +0100

tclcurl (7.22.0+hg20160822-1) unstable; urgency=low

  * Import a mercurial snapshot based on 475f63137a7e.
   + Removed alle patches, all appliead upstream, thanks again Steve.
  * Do not Build-Depend on quilt, removed --with quilt from d/rules.
  * Bump Standards-Version to 3.9.8 - no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 04 Sep 2016 16:52:08 +0200

tclcurl (7.22.0+hg20151017-1) unstable; urgency=low

  * Import a mercurial snapshot based on b5bc0662447d.
    + Removed all patches, all applied upstream. Thanks Steve.
  * Remove d/watch. The old download location is no longer available.
  * Update d/copyright and add the link to Steve Havelkas bitbuck repository.
  * Add d/patches/bts801734.patch - thanks to Christian Werner!
    (Closes: #801734)
  * Add d/patches/bts719441.patch - thanks to Christian Werner!
    (Closes: #719441.patch)

 -- Sven Hoexter <hoexter@debian.org>  Sat, 17 Oct 2015 23:26:15 +0200

tclcurl (7.22.0-2) unstable; urgency=low

  * Point the Homepage field to a mirror of the last website to cater
    http://duck.debian.net/ and the DUCK challenge.
  * Bump Standards-Version to 3.9.6.
  * s/transfered/transferred/ in several manpages as suggest by lintian.

 -- Sven Hoexter <hoexter@debian.org>  Tue, 21 Jul 2015 19:42:25 +0200

tclcurl (7.22.0-1) unstable; urgency=low

  * New upstream release
    + Remove debian/patches/deprecated-curl-types - fixed upstream.
    + Build-depend on libcurl4-gnutls-dev (>= 7.22.0).
    + Refresh all patches.
  * Remove overrides for dh_clean and dh_installexamples. All the
    build artefacts which required special handling are no longer
    included in the upstream tarball.
  * Switch to dh compat level 9, build-depend on debhelper (>= 9).
  * Switch LDFLAGS to DEB_LDFLAGS_MAINT_PREPEND.
  * Change Standards-Version to 3.9.3 - no changes required.
  * Update copyright year and download location in debian/copyright.
  * Update homepage in debian/watch and debian/control.
  * Continue to move the libs to /usr/lib/tcltk/ for now against
    the will of the buildsystem. Original installation path is
    now architecture dependend.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 02 Jun 2012 20:48:44 +0200

tclcurl (7.19.6-3) unstable; urgency=low

  * Add debian/patches/deprecated-curl-types to no longer include
    curl/types.h and curl/easy.h. Both are deprecated and got removed
    from recent curl releases. (Closes: #636558)

 -- Sven Hoexter <hoexter@debian.org>  Thu, 04 Aug 2011 19:52:22 +0200

tclcurl (7.19.6-2) unstable; urgency=low

  * Bumb Standards-Version to 3.9.2 - no changes.
  * Add ${misc:Depends} to the binary package.
  * Update homepage url to a generic hostname.
  * Update VCS-* to the new git repository.
  * Convert to dh:
    + Build-Depend on debhelper (>= 8).
    + Increase compat level to 8.
    + Shorten debian/rules to the bare essentials.
    + Override dh_makeshlibs call to add tcltk-depends.
    + Override dh_clean to not remove several left-overs included upstream.
    + Override dh_installexamples to not install a.tcl~.
    + Emtpy override for dh_auto_test, the referenced all.tcl doesn't exist;
      Most of the tests require network access anyway, which isn't given
      on the buildds.
  * Add debian/source/format -> 1.0.
  * Add a watch file.
  * Add debian/patches/(man-hyphen-as-minus|man-spelling) to fix several
    manpage issue flagged by lintian.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 28 Apr 2011 13:51:13 +0200

tclcurl (7.19.6-1) unstable; urgency=low

  * New upstream release.
    + Build-Depend at least on libcurl4 (>= 7.19.6).
    + Refresh patches/correct-linking.
  * Bumb Standards-Version to 3.8.3 - no changes.
  * Change maintainer e-mail to my @d.o address.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 11 Nov 2009 23:26:11 +0100

tclcurl (7.19.0-1) unstable; urgency=low

  * New upstream release.
    + Refresh all patches.
    + Build-Depend at least on libcurl4 (>= 7.19.0).
  * Update mail address of the upstream maintainer in debian/copyright.
  * Bump Standards-Version to 3.8.2.
    + Add a debian/README.source file.
  * Update debian/copyright with copyright information for Makefile.in
    and tclconfig/tcl.m4. Thanks to Ondrej Certik for the pointer in
    mysqltcl which has to applied here aswell.
  * Add description header to all patches.
  * Add patches/example-shebang. This patch adds a working shebang line
    to those example files that carry one (Thanks to Sergei).
  * Set the permissions for the example files to 644, except for those
    with a working shebang line (Thanks to Sergei).

 -- Sven Hoexter <sven@timegate.de>  Wed, 05 Aug 2009 21:30:47 +0200

tclcurl (7.17.1-1) unstable; urgency=low

  * New upstream release to support curl 7.17.1 features.
  * Following lintian advice for debian-rules-ignores-make-clean-error.
  * Moved the Homepage from the Description into the new Homepage field.
  * Removed man-quoting patch; got applied upstream.
  * Standards-Version: 3.7.3 - no changes required.
  * Build depend on tcl-dev instead of tcl8.4-dev.


=== debian/control ===
Source: tclcurl
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), tcl-dev, libcurl4-gnutls-dev (>= 7.22.0), bc
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://git.sven.stormbind.net/tclcurl.git
Vcs-Browser: https://git.sven.stormbind.net/?p=sven/tclcurl.git

Package: tclcurl
Architecture: any
Suggests: libcurl4-gnutls-dev
Depends: ${misc:Depends}, ${shlibs:Depends}, ${tclsh:Depends}
Description: Tcl bindings to libcurl
 This module enables the use of libcurl in Tcl scripts. Please refer to
 the libcurl documentation available in the libcurl4-gnutls-dev package.
 .
 NOTE: the SSL support is provided by GnuTLS.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--enable-threads \
		--with-tcl=/usr/lib \
		--with-tclinclude=/usr/include/tcl \

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tclcurl

	mkdir $(CURDIR)/debian/tclcurl/usr/lib/tcltk
	mv $(CURDIR)/debian/tclcurl/usr/lib/$(DEB_HOST_MULTIARCH)/TclCurl* \
		$(CURDIR)/debian/tclcurl/usr/lib/tcltk
	rm -rf \
		$(CURDIR)/debian/tclcurl/usr/share/man/mann \
		$(CURDIR)/debian/tclcurl/usr/bin \
		$(CURDIR)/debian/tclcurl/usr/include \
		$(CURDIR)/debian/tclcurl/usr/lib/$(DEB_HOST_MULTIARCH)

	chmod 644 \
		$(CURDIR)/tests/*.tcl \
		$(CURDIR)/tests/multi/double.tcl \
		$(CURDIR)/tests/multi/single.tcl

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs
	tcltk-depends

## tclcurl 7.22.1

=== debian/changelog ===
tclcurl (7.22.1-2) unstable; urgency=medium

  * Building both Tcl9 and Tcl8 extension libraries
  * Debian Standards 4.7.3 compliance
  * New patches to support Tcl9
  * Upgrade tcl.m4 to TEA 2.69
  * Add debian/clean to purge build directories
  * Let dh_install install tclcurl.tcl in the target directory

 -- Massimo Manghi <mxmanghi@apache.org>  Fri, 26 Dec 2025 23:24:54 +0100

tclcurl (7.22.1-1) unstable; urgency=medium

  * Package adoption (Closes: #992338)
  * Source code based on the GH tclcurl-fa repository after merging the
    version kept on the Androwish repository with a few bug fixes and
    code improvements
  * Checked compliance with standards version 4.7.0
  * Add debian/watch file

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 15 Aug 2024 22:08:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: tclcurl
 Section: interpreters
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13), tcl-dev, libcurl4-gnutls-dev (>= 7.22.0), bc
-Standards-Version: 4.5.1
+Maintainer: Massimo Manghi <mxmanghi@apache.org>
+Build-Depends: debhelper-compat (= 13), libcurl4-gnutls-dev (>= 7.22.0), bc, tcl8.6-dev, tcl9.0-dev, tcl-dev
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Git: https://git.sven.stormbind.net/tclcurl.git
-Vcs-Browser: https://git.sven.stormbind.net/?p=sven/tclcurl.git
 
 Package: tclcurl
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
TCLVERSIONS = 8.6 9.0

%:
	dh $@

override_dh_auto_configure:
	for v in $(TCLVERSIONS) ; do \
		dh_auto_configure --builddir=$(CURDIR)/debian/$$v -- \
				  --prefix=/usr			\
				  --mandir=/usr/share/man	\
				  --infodir=/usr/share/info	\
				  --enable-threads		\
				  --with-tcl=/usr/lib/tcl$$v ;	\
	done

override_dh_auto_build:
	for v in $(TCLVERSIONS) ; do \
		BUILD_DIR="$(CURDIR)/debian/$$v"; \
		echo "Building tclcurl for Tcl$$v in $$BUILD_DIR" ; \
		dh_auto_build --builddir=$(CURDIR)/debian/$$v --; \
	done

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tclcurl/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/TclCurl ;
	for v in $(TCLVERSIONS) ; do \
		dh_auto_install --destdir=$(CURDIR)/debian/tclcurl ; \
		cp -v   $(CURDIR)/debian/$$v/lib*.so \
			$(CURDIR)/debian/tclcurl/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/TclCurl ;\
	done
	cp -v   $(CURDIR)/debian/8.6/pkgIndex.tcl \
		$(CURDIR)/debian/tclcurl/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/TclCurl ;
	rm -rf 	$(CURDIR)/debian/tclcurl/usr/share/man/mann \
		$(CURDIR)/debian/tclcurl/usr/bin \
		$(CURDIR)/debian/tclcurl/usr/include \
		$(CURDIR)/debian/tclcurl/usr/lib/$(DEB_HOST_MULTIARCH) ;
	chmod 644 $(CURDIR)/tests/*.tcl \
		  $(CURDIR)/tests/multi/double.tcl \
		  $(CURDIR)/tests/multi/single.tcl

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs
	tcltk-depends
